--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Name of this client. Used for 'User-Agent' header in HTTP request.
  name: agent_name
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Chunk size for chunked request
  name: chunk_size
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Maximum retry count. 0 for infinite.
  name: connect_retry
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: connect_timeout
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Device for dumping log for debugging
  name: debug_dev
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Owner of this client. Used for 'From' header in HTTP request.
  name: from
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: protocol_retry_count
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Requested protocol version
  name: protocol_version
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: read_block_size
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: receive_timeout
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: send_timeout
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Boolean value for Socket#sync
  name: socket_sync
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: ssl_config
  rw: RW
- !ruby/object:RI::Attribute 
  comment: 
  name: test_loopback_http_response
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Manages sessions for a HTTPClient instance.
constants: []

full_name: HTTPClient::SessionManager
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: keep
- !ruby/object:RI::MethodSummary 
  name: proxy=
- !ruby/object:RI::MethodSummary 
  name: query
- !ruby/object:RI::MethodSummary 
  name: reset
- !ruby/object:RI::MethodSummary 
  name: reset_all
name: SessionManager
superclass: Object
